Subject: [Fot] Weber Carb fuel overflow

From: Scott Janzen <[email-masked]>
Date: Tue, 11 Sep 2012 12:33:58 -0400

My 40DCOE weber carbs drizzle a little fuel out the overflow and into the filters on hard, prolonged turns.  I know this because i see the residue on the heat shield from where it drips though the filter, and occasionally I get a whiff of gas.  
Floats are set below the "stock" settings, but I assume those settings are for street cars anyway, and the settings vary depending on the application of carbs to car model.
Many people seem to have the same issue, and the attitude is "that's normal". Others don't seem to have any sloshing out.  Raw fuel leaking out somewhere above the exhaust never seems like a good idea, even with the heat shield in between!
So, I guess the question is, should I adjust the floats down even further, or is there another correction for this?  And if the answer is float adjustment, should this impact the selection of the air corrector jet and the emulsion tube, and how?
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]